<?php
	session_start();
	require ("./Funciones/funciones.php");
	$conexion = conecta();
	$nombre = $_REQUEST['nombre'];

	$id = $_GET['id'];
	$ruta="../imagenes";
	$archivo=$_FILES['imagen']['tmp_name'];
	$nombreArchivo=$_FILES['imagen']['name'];
	move_uploaded_file($archivo,$ruta."/".$nombreArchivo);
	$ruta=$nombreArchivo;
	$activado = 1;
	$eliminado = 0;
	$sql= "SELECT * FROM banners where id ='$id'";
	$res = mysqli_query($conexion,$sql);
	$idbanner = mysqli_result($res, 0,"id");
	$imagen = mysqli_result($res,0,"imagen");
	if($id==''){
		$sql = "INSERT INTO banners VALUES (0, '$nombre','".$ruta."',$activado,$eliminado )";
		$res = mysqli_query($conexion,$sql);
		if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"banner_lista.php\">Lista de administradores</a>");
		}
		else{
	    exit(header("Location: banner_lista.php"));
	}
	}else{
		if($id == $idbanner){
		if($nombreArchivo!='')
			$sql= "UPDATE banners SET nombre='$nombre',imagen='".$ruta."' WHERE id='$id'";
		else{
			$sql= "UPDATE banners SET nombre='$nombre',imagen='$imagen' WHERE id='$id'";
		}
		$res = mysqli_query($conexion,$sql);
		if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"banner_lista.php\">Lista de administradores</a>");
		}
		else{
	    exit(header("Location: banner_lista.php"));
		}
	}
}	
?>
